Skip to main content
GET
/
shared-knowledge
/
search
Error
A valid request URL is required to generate request examples
{
  "query": "<string>",
  "results": [
    {
      "chunk_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "content": "<string>",
      "chunk_index": 123,
      "score": 123,
      "headline": "<string>",
      "source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source_title": "<string>",
      "source_url": "<string>",
      "document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "document_title": "<string>",
      "collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "collection_name": "<string>"
    }
  ],
  "count": 123,
  "search_type": "fts",
  "score_type": "ts_rank"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

q
string
required

Search query

Minimum string length: 1
collection_id
string<uuid>

Optional collection filter

limit
integer
default:20

Max results

Required range: 1 <= x <= 100

Response

Search results with provenance

query
string
results
object[]
count
integer
search_type
string
Example:

"fts"

score_type
string
Example:

"ts_rank"